{ config, lib, ... }:
{
  imports = [ ./user ];

  config = lib.mkIf config.system.fileserver.enable {
    services.nfs.server = {
      enable = true;
      exports = ''
        /storage/Files *(rw,sync,no_subtree_check)
        /storage/Media *(rw,sync,no_subtree_check)
        /storage/Music *(rw,sync,no_subtree_check)
        /srv/minecraft *(rw,sync,no_subtree_check)
      '';
    };
    networking.nftables.tables.nfs = {
      family = "inet";
      content = ''
        chain input {
          ip saddr 10.0.0.0/8 tcp dport 2049 accept comment "Accept NFS"
        }
      '';
    };
  };
}
